Error when editing a lookup key ( http://foreman/lookup_keys/<key>/edit
Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.4   
Triaged:  Found in Releases:  
Pull request:    

Description

Example editing the value of a "$puppet_interval" key:

http://foreman/lookup_keys/puppet_interval/edit

tail /usr/share/foreman/log/production.log -f

 
Processing LookupKeysController#update (for 192.168.222.111 at 2011-07-15 15:25:33) [PUT]

  Parameters: {"commit"=>"Update", "authenticity_token"=>"+hQJKhfjHhwGbZDd4MpggVX29QvYGTFO7+QqsB4A

HTc=", "id"=>"puppet_interval", "lookup_key"=>{"updated_at"=>"1310736199", "default_value"=>"60", 

"validator_rule"=>"", "lookup_values_attributes"=>{"new_lookup_values"=>{"value"=>"", "_destroy"=>

"", "match"=>""}}, "description"=>"Defines how often puppet should run", "validator_type"=>"", "_d

estroy"=>"", "path"=>"fqdn\r\nhostgroup\r\nos\r\ndomain", "key"=>"puppet_interval"}}

ActiveRecord::UnknownAttributeError (unknown attribute: _destroy):

  app/controllers/lookup_keys_controller.rb:35:in `update'

  passenger (2.2.15) lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  passenger (2.2.15) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:441:in `start_request_hand

ler'

  passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:381:in `handle_spawn_appli

cation'

  passenger (2.2.15) lib/phusion_passenger/utils.rb:252:in `safe_fork'

  passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:377:in `handle_spawn_appli

cation'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:163:in `start'

  passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:222:in `start'

  passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:253:in `spawn_rails_application'

  passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:247:in `spawn_rails_application'

  passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:246:in `spawn_rails_application'

  passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:145:in `spawn_application'

  passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:278:in `handle_spawn_application'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /usr/share/foreman/public/500.html (500 Internal Server Error)
http://foreman/lookup_keys/puppet_interval/edit


Revision 9f867d00 - 07/17/2011 04:53 AM - Ohad Levy

fixes #1046 - Error when editing a lookup key

History

#1 - 07/17/2011 04:54 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 9f867d00f8f1ed7a4cf762fb9d300d8dda35d528.
